## org.apache.commons.math.analysis
Interface DifferentiableUnivariateRealFunction

All Superinterfaces:
  UnivariateRealFunction

All Known Implementing Classes:
  HarmonicFunction, PolynomialFunction, PolynomialSplineFunction

    public interface DifferentiableUnivariateRealFunction

extends UnivariateRealFunction

Extension of `UnivariateRealFunction` representing a differentiable univariate real function.

Version:
  $Revision: 811786 $ $Date: 2009-09-06 05:36:08 -0400 (Sun, 06 Sep 2009) $

Method Summary
`UnivariateRealFunction` `derivative()` Returns the derivative of the function

Methods inherited from interface org.apache.commons.math.analysis.UnivariateRealFunction
`value`

Method Detail

### derivative

    UnivariateRealFunction derivative()

  Returns the derivative of the function

  Returns:
    the derivative function

Copyright (c) 2003-2010 Apache Software Foundation